Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies
Class FullScreen

    java.lang.Object
      |
      +--quicktime.std.movies.FullScreen

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class FullScreen
extends java.lang.Object
implements quicktime.jdirect.QuickTimeLib

The FullScreen class implements the behavior for converting a screen to full screen mode and back to normal mode. Unlike the C API the QTJava implementation of the FullScreen calls does NOT allow QuickTime to create the window for you. The QTJava API allows you to put the specified screen into full screen mode and then a java window can be used to fill the screen and allow the full capabilities of Java to use the entire screen. The FullScreen can be used with Signed Applets also.

See Also:
  `quicktime.app.display.FullScreenFrame`

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`FullScreen()` This constructor creates a new FullScreen object.

Method Summary
`java.awt.Dimension` | `begin(GDevice gd, int desiredWidth, int desiredHeight, int flags)` Deprecated. as of QTJava 4.0 see beginFullScreen
`java.awt.Dimension` | `begin(int flags)` Deprecated. as of QTJava 4.0 see beginFullScreen
`QDDimension` | `beginFullScreen(GDevice gd, int desiredWidth, int desiredHeight, int flags)` This method converts the main screen to full screen mode.
`QDDimension` | `beginFullScreen(int flags)` This method converts the main screen to full screen mode by hiding menu bars, control strips, task bars, etc.
`void` | `end()` This method converts the main screen from full screen mode to normal mode.
`void` | `endFullScreen()` This method converts the main screen from full screen mode to normal mode.
`java.awt.Dimension` | `getMainScreenSize()` Deprecated. as of QTJava 4.0 see getSizeOfMainScreen
`QDDimension` | `getPreflightSize(GDevice gd, int width, int height)` Returns the closest size to the specified size for the specified screen.
`java.awt.Dimension` | `getScreenSize(GDevice gd)` Deprecated. as of QTJava 4.0 see getSizeOfScreen
`QDDimension` | `getSizeOfMainScreen()` Returns the current size in pixels of the main screen.
`QDDimension` | `getSizeOfScreen(GDevice gd)` Returns the current size in pixels of the screen that is associated with the specified GDevice.
`java.awt.Dimension` | `preflightSize(GDevice gd, int width, int height)` Deprecated. as of QTJava 4.0 see sizeOfScreen

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FullScreen

    public FullScreen()

  This constructor creates a new FullScreen object. If there is a SecurityManager and its checkTopLevelWindow() call returns false the constructor will throw a SecurityException and the services of the FullScreen class will not be available to the applet.

Method Detail

### getMainScreenSize

    public java.awt.Dimension getMainScreenSize()
                                         throws StdQTException

  Deprecated. as of QTJava 4.0 see getSizeOfMainScreen

  Returns the current size in pixels of the main screen. This method will not alter the display size of the screen.
  QuickTime::BeginFullScreen()

  Returns:
    the size of the main screen

### getSizeOfMainScreen

    public QDDimension getSizeOfMainScreen()
                                    throws StdQTException

  Returns the current size in pixels of the main screen. This method will not alter the display size of the screen.
  QuickTime::BeginFullScreen()

  Returns:
    the size of the main screen

### getScreenSize

    public java.awt.Dimension getScreenSize(GDevice gd)
                                     throws StdQTException

  Deprecated. as of QTJava 4.0 see getSizeOfScreen

  Returns the current size in pixels of the screen that is associated with the specified GDevice. This method will not alter the display size of the screen.
  QuickTime::BeginFullScreen()

  Returns:
    the size of the specified screen

### getSizeOfScreen

    public QDDimension getSizeOfScreen(GDevice gd)
                                throws StdQTException

  Returns the current size in pixels of the screen that is associated with the specified GDevice. This method will not alter the display size of the screen.
  QuickTime::BeginFullScreen()

  Returns:
    the size of the specified screen

### preflightSize

    public java.awt.Dimension preflightSize(GDevice gd,
                                            int width,
                                            int height)
                                     throws StdQTException

  Deprecated. as of QTJava 4.0 see sizeOfScreen

  Returns the closest size to the specified size for the specified screen. This method will not alter the display size of the screen.
  QuickTime::BeginFullScreen()

  Parameters:
    `gd` - the GDevice for the desired screen or null for the main screen
    `width` - the desired width or 0 to retrieve the current width in pixels of the specified screen
    `height` - the desired height or 0 to retrieve the current height in pixels of the specified screen
  Returns:
    the size of the specified screen

### getPreflightSize

    public QDDimension getPreflightSize(GDevice gd,
                                        int width,
                                        int height)
                                 throws StdQTException

  Returns the closest size to the specified size for the specified screen. This method will not alter the display size of the screen.
  QuickTime::BeginFullScreen()

  Parameters:
    `gd` - the GDevice for the desired screen or null for the main screen
    `width` - the desired width or 0 to retrieve the current width in pixels of the specified screen
    `height` - the desired height or 0 to retrieve the current height in pixels of the specified screen
  Returns:
    the size of the specified screen

### begin

    public java.awt.Dimension begin(int flags)
                             throws StdQTException

  Deprecated. as of QTJava 4.0 see beginFullScreen

  This method converts the main screen to full screen mode by hiding menu bars, control strips, task bars, etc.
  QuickTime::BeginFullScreen()

  Parameters:
    `flags` - controls the operation of this method.

### beginFullScreen

    public QDDimension beginFullScreen(int flags)
                                throws StdQTException

  This method converts the main screen to full screen mode by hiding menu bars, control strips, task bars, etc.
  QuickTime::BeginFullScreen()

  Parameters:
    `flags` - controls the operation of this method.

### begin

    public java.awt.Dimension begin(GDevice gd,
                                    int desiredWidth,
                                    int desiredHeight,
                                    int flags)
                             throws StdQTException

  Deprecated. as of QTJava 4.0 see beginFullScreen

  This method converts the main screen to full screen mode.
  QuickTime::BeginFullScreen()

  Parameters:
    `desiredWidth` - Specifies the resolution width to be displayed for that screen.
    `desiredHeight` - Specifies the resolution height to be displayed for that screen.
    `flags` - Controls the operation of this method.

### beginFullScreen

    public QDDimension beginFullScreen(GDevice gd,
                                       int desiredWidth,
                                       int desiredHeight,
                                       int flags)
                                throws StdQTException

  This method converts the main screen to full screen mode.
  QuickTime::BeginFullScreen()

  Parameters:
    `desiredWidth` - Specifies the resolution width to be displayed for that screen.
    `desiredHeight` - Specifies the resolution height to be displayed for that screen.
    `flags` - Controls the operation of this method.

### endFullScreen

    public void endFullScreen()
                       throws StdQTException

  This method converts the main screen from full screen mode to normal mode.
  QuickTime::EndFullScreen()

### end

    public void end()
             throws StdQTException

  This method converts the main screen from full screen mode to normal mode.
  QuickTime::EndFullScreen()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD